/*!

	オブジェクトにたいして安全に何かしようとする関数群です。

*/
#if defined HELPER_SAFE_INCLUDED___
  #endinput
#endif
#define HELPER_SAFE_INCLUDED___

#include <all.inc>

//////////////////////////////////////////////////////////////////////////////////
/*!
	\brief 安全に削除します。
	\param 削除したいオブジェクト

	他のヘッダでも宣言されている可能性があるので、くくっときます。
*/
stock SafeDestroyObject(obj: target) {
	if (IsValidObject(target)) {
		Destroy(target);
	}
}

//////////////////////////////////////////////////////////////////////////////////
/*!
	\brief 安全に表示にします
	\param 削除したいオブジェクト

	他のヘッダでも宣言されている可能性があるので、くくっときます。
*/
stock SafeShowObject(obj: target) {
	if (IsValidObject(target)) {
		Show(target);
	}
}

//////////////////////////////////////////////////////////////////////////////////
/*!
	\brief 安全に非表示にします
	\param 削除したいオブジェクト

	他のヘッダでも宣言されている可能性があるので、くくっときます。
*/
stock SafeHideObject(obj: target) {
	if (IsValidObject(target)) {
		Hide(target);
	}
}
